tt_message_accepters_count(library call)

NAME
tt_message_accepter_count — return a count of the offer's accepting procids

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_message_accepters_count(
Tt_message m);

DESCRIPTION

The tt_message_accepters_count function returns a count of the procids that are recorded in the offer m as having accepted it.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_accepters_count function returns a count of the procids that are recorded in the offer m as having accepted it. The application can use tt_int_error to extract one of the following Tt_status values from the returned integer:

TT_OK
    The operation completed successfully.

TT_ERR_PROCID
    There is no valid default procid, perhaps because tt_open has not yet been called.

TT_ERR_STATE
    The specified message is not in state TT_RETURNED. Since only TT_OFFERs can be in state TT_RETURNED, this status will be returned if the specified message is a TT_NOTICE or a TT_REQUEST.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_accepter(3), tt_int_error(3).